=== debian/control ===
Source: ros-galactic-rosidl-cmake
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-python, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosidl-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-empy, ros-galactic-ament-cmake, ros-galactic-rosidl-adapter, ros-galactic-rosidl-parser, ros-galactic-ros-workspace
Description: The CMake functionality to invoke code generation for ROS interface files.
